SodiumEquivalentMethod
Date: 2014-08-08

melting.methodInterfaces

## Interface SodiumEquivalentMethod

- All Known Implementing Classes:
    Ahsen01_NaEquivalent, Mitsuhashi96NaEquivalent, Peyret00_NaEquivalent, SodiumEquivalent

      public interface SodiumEquivalentMethod

  This interface is implemented by classes which contain a method to compute an equivalent sodium concentration when other ions are present.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `computeSodiumEquivalent(double Na, double Mg, double K, double Tris, double dNTP)` This method is called to convert an initial sodium concentration in a new equivalent sodium concentration which takes in account the other cation concentrations.
    `boolean` | `isApplicable(java.util.HashMap<java.lang.String,java.lang.String> options)` Check if the model to compute an equivalent sodium cencentration is applicable with the options entered by the user.

- - ### Method Detail

    - #### computeSodiumEquivalent

          double computeSodiumEquivalent(double Na,
                                       double Mg,
                                       double K,
                                       double Tris,
                                       double dNTP)

      This method is called to convert an initial sodium concentration in a new equivalent sodium concentration which takes in account the other cation concentrations.
      Parameters:
        `Na` - : sodium concentration entered by the user
        `Mg` - : magnesium concentration entered by the user
        `K` - : potassium concentration entered by the user
        `Tris` - : Tris buffer concentration entered by the user.
        `dNTP` - : dNTP concentration entered by the user
      Returns:
        double NaEq. It is the equivalent sodium computed concentration

    - #### isApplicable

          boolean isApplicable(java.util.HashMap<java.lang.String,java.lang.String> options)

      Check if the model to compute an equivalent sodium cencentration is applicable with the options entered by the user.
      Parameters:
        `options` - which contains the options. (default options and options entered by the user)
      Returns:
        false if one of the options entered by the user make the model inapplicable. If one of the options can make the results less reliable, a warning message will appear.